Subject: [Ltru] CLDR mapping

From: "Mark Davis" <[email-masked]>
Date: Sun, 14 May 2006 16:22:48 -0700

I was just making draft changes to LDML (used for CLDR) in response to a bug
to update to RFC3066bis (we thought we'd have a final number by now, but no
such luck!). I have draft language at

http://dev.icu-project.org/cgi-bin/cldr/locale-bugs-private/data#replies

Any feedback is welcome; the committee will be looking at this on Tuesday
morning.

BTW, from the language part of a CLDR locale ID, if my suggestions are taken
up only the variant subtags {POSIX, REVISED, SAAHO} are missing from
3066bis, plus some UN M.49 codes.

Mark
I was just making draft changes to LDML (used for CLDR) in response to a bug
to update to RFC3066bis (we thought we'd have a final number by now, but no
such luck!). I have draft language at

http://dev.icu-project.org/cgi-bin/cldr/locale-bugs-private/data#replies

Any feedback is welcome; the committee will be looking at this on Tuesday
morning.

BTW, from the language part of a CLDR locale ID, if my suggestions are taken
up only the variant subtags {POSIX, REVISED, SAAHO} are missing from
3066bis, plus some UN M.49 codes.

Mark
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 14 May 2006 21:28:33 -0700

Apologies, the link won't work for you; try:

http://dev.icu-project.org/cgi-bin/locale-bugs?findid=793#replies

Note: the last bit has a couple of typos. Draft language is at the end of
section 3:

http://www.unicode.org/draft/reports/tr35/tr35.html#Locale_IDs

Mark

On 5/14/06, Mark Davis <[email-masked]> wrote:
>
> I was just making draft changes to LDML (used for CLDR) in response to a
> bug to update to RFC3066bis (we thought we'd have a final number by now, but
> no such luck!). I have draft language at
>
> BTW, from the language part of a CLDR locale ID, if my suggestions are
> taken up only the variant subtags {POSIX, REVISED, SAAHO} are missing from

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 14 May 2006 21:28:33 -0700

Mark

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 15 May 2006 10:36:11 -0700

Comments below.

On 5/15/06, Kent Karlsson <[email-masked]> wrote:
>
>  > We also have:
> > BOKMAL
> > NYNORSK
> > AALAND
> Bokmål Norwegian and New Norwegian have their own language codes now, so
> I'd prefer
> deprecating/removing these variants as much as possible. Åland has it's
> own territory code
> now, so again I'd prefer deprecating/removing that variant as much as
> possible.
>

They are deprecated. If you look at the text in the draft of tr35, you'll
see that discussed as part of the process of producing a 3066bis code.

> Private/Deprecated Data for: territory QU European Union [PRIVATE USE,
> > 2005-10-16, ]
> EU has an "exceptionally reserved" territory code (EU). So why not use
> that one?
>

Because it is illegal in 3066bis. Not at all the right decision, in my
opinion, since we are forced to use a PU code which will inevitably get
exchanged publicly. The same goes for some UN M.49 codes.

> CLDR Locale IDs can be converted to valid RFC 3066bis language tags by
> > performing the following transformation.
> ...
> > Thus "en-US-POSIX@calendar=islamic,collation=traditional" converts to
> > "en-US-x-POSIX-k-calendar-islamic-k-collation=traditio".
> Unless I missed something, "=" isn't allowed in RFC 3066 bis language
> tags.
> I guess you meant the second "=" also to be replaced to "-".
>

You are looking at a stale version; try looking at
http://www.unicode.org/draft/reports/tr35/tr35.html#Locale_IDs and
refreshing your browsers.

In this example the "-k-" already occurs after an "-x-", but in cases where
> that is not
> the case, make sure to insert an "-x-" before the first "-k-", as "-k-" is
> not registered.
>
>         /kent k
>
>
>  -----Original Message-----
> *From:* Mark Davis [mailto:[email-masked]]
> *Sent:* Monday, May 15, 2006 6:29 AM
> *To:* [email-masked]; [email-masked]
> *Subject:* [Ltru] Re: CLDR mapping
>
> > Any feedback is welcome; the committee will be looking at this on
> > Tuesday morning.
> >
> > taken up only the variant subtags {POSIX, REVISED, SAAHO} are missing
> > from 3066bis, plus some UN M.49 codes.
> >
> > Mark
> >
> >
>